Jump to content

Search the Community

Showing results for tags 'constraint'.



More search options

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • CADTutor
    • News, Announcements & FAQ
    • Feedback
  • AutoCAD
    • AutoCAD Beginners' Area
    • AutoCAD 2D Drafting, Object Properties & Interface
    • AutoCAD Drawing Management & Output
    • AutoCAD 3D Modelling & Rendering
    • AutoCAD Vertical Products
    • AutoCAD LT
    • CAD Management
    • AutoCAD Bugs, Error Messages & Quirks
    • AutoCAD General
    • AutoCAD Blogs
  • AutoCAD Customization
    • The CUI, Hatches, Linetypes, Scripts & Macros
    • AutoLISP, Visual LISP & DCL
    • .NET, ObjectARX & VBA
    • Application Beta Testing
    • Application Archive
  • Other Autodesk Products
    • Autodesk 3ds Max
    • Autodesk Revit
    • Autodesk Inventor
    • Autodesk Software General
  • Other CAD Products
    • BricsCAD
    • SketchUp
    • Rhino
    • SolidWorks
    • MicroStation
    • Design Software
    • Catch All
  • Resources
    • Tutorials & Tips'n'Tricks
    • AutoCAD Museum
    • Blocks, Images, Models & Materials
    • Useful Links
  • Community
    • Introduce Yourself
    • Showcase
    • Work In Progress
    • Jobs & Training
    • Chat
    • Competitions

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

Found 18 results

  1. Is there a way to tell which of a pair of constraints is the dominant one? The 2 glyphs look identical :? but can act a lot differently. If I know, then I can remove them and do it the opposite way, I have a 50/50 chance of getting it right. I might be working with an inherited dwg or enough time passed and I forgot how I inferred them. Thanks!
  2. Is there any way to constrain the endpoints of 3 entities to one coincident point? After making a coincident point with ends of lines A & B, I try to add another to end of line C to either A or B but it won't let me. Thanks! R.L. Hamm
  3. Hi i have a plate and a shaft. i am able to constraint the shaft to be tangent to the plate and constraint it to be on a specified location. However. i need to make the plate rotate when the shaft rotates as if it is one unit. the shaft is to be welded to the plate. i tried everything within the joint or constraint. i also tried to weld the plate and shaft as single assembly but i couldn't weld with the shaft tangent with 0 offset. all i need is to fix the shaft on the plate and make the plate rotate with the shaft.
  4. smashmash

    Rotation about an axis?

    I'm sure my beginner is showing, but I'm not sure how to constrain something to allow it to rotate about an axis. Basically, I have an axle which is grounded, and I need a wheel assembly to freely rotate about the axle. Any help would be GREATLY appreciated!
  5. Hi all, I was trying last week to make a dynamic block and my technique got too complicated. So I'm trying to figure out a base stencil with 3 Polylines where the first and third are identical but 180 degree rotation where the first is stationary and the third one moves. Then I want a second polyline that connects between the first and third that stretches, but keeps two perpendicular angles. The image below shows a before and after. Does anyone have any tips of how I can use Constraints with the activities to keep all line segments a constant length besides the the long diagonal in the middle? All help appreciated! Constrained_Stretch.dwg
  6. This is my first attempt at assembling something which was not a textbook exercise. I have struck a brick wall and would appreciate some help. The free axle is to slide onto the tension rod. It should be free to revolve around the rod and slide along it. My hair got torn out long ago and I am getting nowhere. Would some kind soul please help. Thanks Tensioner_Assembly.zip
  7. Vagulus

    Missing dimensions

    A couple of queries about being fully constrained: Consider the attached part. Edit Sketch 1. Display all Constraints. What two dimensions are missing? Change Horizontal Dimension (vertical axis to arc centre) to 150. This distorts the arcs on my Inventor 2015. Why is this? Thanks Underconstrained_Part.ipt
  8. Sengna

    Basic question dimension

    i am Still learning how to use inventor here, what is the rule of thumb for where to give dims to locate the geometry in sketch world In inventor? I know that when i have a circle in sketch, i will need to give the Dia, how far from Y coordinate and how far from Y coordinate is that correct? note; i don't want the center of the circle to co incident with the origin point. Which 2 dims left to do?
  9. can someone give me sugguestion, I want to extrude this rectangle after my sketch, i applied the dims length and width and i can extruded, but when i look on the bottom right of the screen, it still said 2 dims needed, What is the easiest way for me to figure out which dims left to do? do i need to tell where in the space that this rectagle locate? do i have to make it fully constrainted everytime before i extrude? Thanks
  10. Hi All, Just uped to AutoCAD 2013 this morning. I'm looking for some tutorials on drawing with the "Constraints" buttons! Is there any out there? It may make working lift a bit easier.. Any help would be good. Thanks, DECHAL
  11. I'm trying to connect the value given by a calculated User parameter to a text. I've been looking for information everywhere, none found. Is it possible to show that value in a multiline text?
  12. RichardAlbert

    Help with simple shaft animation

    Hello everyone, I hope I am not doing something bad by posting in here....I read a ton of threads and nothing seems to help me out. I have a very simple animation which consists of a pillow block holding a shaft that sticks out 1 inch on each side. I have been trying to get this to work for DAYS now and I am getting very frustrated cause I dont know what I am doing wrong. I have assembled my shaft and pillow block correctly and managed to animate it (10 Revolutions in 20 seconds) I was also able to add a pin on one side of the shaft to lock into a pin or a connecting rod at some future point and the animation still works fine. My problem is when I try to add a lock pin to the other side of the shaft for some reason I can easily manipulate it in Assembly mode with my mouse but as soon as I try to run the animation on it with the constraints it stops working. If I suppress the constraints for the second lock pin, the animations starts working again. I dont know what im doing wrong.....please for the love of god someone help me. I am attaching a zip file with all three parts and the assembly file. I realize this is probably a real newbie problem but I am in the process of learning. I LOVE inventor. All I need now is to fully understand animations and why the heck everything goes wrong as soon as I have two parts constrained to my shaft. Thank you so much for your time and I hope this doesn't **** anyone off. Richard Simple.zip
  13. So I'm creating a block with a block table and constraints. The constraints such as Geometric Constraints work just as assumed. When adding in dimensional constraints we start to have more fun. So I have dimensional constraints that use other dimensional constraints to manipulate itself. EX. dimconC = (dimconB-dimconA) dimconA is 12 dimconB is 14 dimconC would be 2 Now when ever dimconA or dimconB change dimconC would populate accordingly. With this I wanted to make an attribute that could be placed in instead of a dimensional constant. EX dimconC = ((Att1*dimconB)-dimconA) Att1 is 02 dimconA is 12 dimconB is 14 dimconC would be 16 However when trying to place in formula that references a attribute I keep getting an error "A DEPENDENT EXPRESSION CANNOT BE EVALUATED" So I assumed it was missing an expression from the attribute, however once entering an expression in for it I still get the same error. (full error message attached) Is this something that is not allowed at all or have I over looked something? All help would be nice, if I've left a detail out please just ask and I'll fill it in the best I can. Thanks in advanced!
  14. how do i do this?

    Dynamic Blocks - Stretching

    Hi, I have a box, and inside that box, there is another box. Connecting/joining both boxes are two lines on all four sides of both boxes. What I don't know is how to stretch the outer box (dynamically) from the top right corner, to any size i wish to drag it out to (keeping the inner box in the center at all times, and keeping the lines joining the boxes, conected to both boxes). This puzzles me to the point where I have absolutly no idea what to do. I can: -Dynamically stretch the outer box from the top right corner, keeping the inner box in the center I can't: -Keep the lines joining the two boxes connnected to the two boxes. Please help, there is a picture attached that shows the box before it is stretched, and a picture of the end result that im looking for. I just need to know how to dynamically stretch the first image to generate the second image.
  15. Hi, I am new to Inventor and I will like to ask a few questions relating to constraint: 1. When selecting say two unequal circles for an equal constraint, I wish to know which circle in what context will be use as pattern to follow. Is it related to order of selection or rather location of the object or some other reasons? 2. There are four components forming a tyre-assembly and there are four such tyre-assembly to add to a main body. After assembling the first tyre-assembly, I wanted to copy-mirror the three remaining one. However the assembly contraint existing in the first one are no more in the three others. Are there ways to copy mirror and KEEP the assembly constraint. 3. What is the most recommended ways to use autocad items in inventor sketch environment? Copy-Paste or Import or any other ways and the autocad items are better as lines? polylines? regions? block? Answers to those questions will be very helpful. Thanking you in advanced, Nicolas.
  16. Hi all, I was creating a dynamic block. Is there any way to link the value of a linear constraint parameter to the value of an attribute? Please see the attached image. I want the value of attribute "DIST" to update when ever the value of linear constraint parameter "d1" changes.
  17. Hi everybody. I am new to lisp, so I need your help. I have a diagram with different lines. I need to select each line separately and change a color and a line weight of it. I have one problem right now. here is the example of my selection set line (setq ssLine (ssget "X"(list (cons 0 "LWpolyline")(cons 8 "0")(cons 62 253)))) I want to keep everything the same except the last CONS (cons 62 253). I want it to take a value of a color from a object that I will select in my drawing. First, I need some command or variable to prompt me to select a line. After that, I need my selection set to change the last cons from color 222 to a color of the selected object. Thank you, AB
  18. Hi, I'm having trouble visualizing how to constrain two basic bevel gears to have them rotate in tandem. I'm using Inventor 2011 Pro and I'm not sure what the exact steps are. Thanks!
×